package com.ruoyi.project.sems.his.mapper;

import java.util.List;
import com.ruoyi.framework.aspectj.lang.annotation.DataScope;
import com.ruoyi.project.sems.domain.TSpecdevYlrq;
import com.ruoyi.project.sems.his.domain.TSpechiYlrq;

/**
 * 特种设备压力容器台账历史Mapper接口
 * 
 * @author ruoyi
 * @date 2021-09-02
 */
public interface TSpechiYlrqMapper 
{
    /**
     * 查询特种设备压力容器台账历史
     * 
     * @param id 特种设备压力容器台账历史ID
     * @return 特种设备压力容器台账历史
     */
    public TSpechiYlrq selectTSpechiYlrqById(Long id);

    /**
     * 查询特种设备压力容器台账历史列表
     * 
     * @param tSpechiYlrq 特种设备压力容器台账历史
     * @return 特种设备压力容器台账历史集合
     */
    @DataScope(deptAlias = "d")
    public List<TSpechiYlrq> selectTSpechiYlrqList(TSpechiYlrq tSpechiYlrq);



    /**
     * 新增特种设备压力容器台账历史
     * 
     * @param tSpechiYlrq 特种设备压力容器台账历史
     * @return 结果
     */
    public int insertTSpechiYlrq(TSpechiYlrq tSpechiYlrq);

    /**
     * 使用台账对象新增特种设备压力容器台账历史
     * @param tSpecdevYlrq 特种设备台账对象
     * @return
     */
    public int insertTSpechiYlrqByDev(TSpecdevYlrq tSpecdevYlrq);

    /**
     * 修改特种设备压力容器台账历史
     * 
     * @param tSpechiYlrq 特种设备压力容器台账历史
     * @return 结果
     */
    public int updateTSpechiYlrq(TSpechiYlrq tSpechiYlrq);

    /**
     * 删除特种设备压力容器台账历史
     * 
     * @param id 特种设备压力容器台账历史ID
     * @return 结果
     */
    public int deleteTSpechiYlrqById(Long id);

    /**
     * 批量删除特种设备压力容器台账历史
     *
     * @param ids 需要删除的数据ID
     * @return 结果
     */
    public int deleteTSpechiYlrqByIds(Long[] ids);

    //查询改造记录
    public List<TSpechiYlrq> selectTSpechiYlrqByReform(Long devId);

    /**
     * 根据devId删除台账历史
     * @param devId
     * @return
     */
    public int deleteTSpechiYlrqByDevId(Long devId);
}
